#include <stdio.h>

void zameni(double *a, double *b){
   double privremen;
   privremen=*b;
   *b=*a;
   *a=privremen;
}

int main()
{
int n;
scanf("%d", &n);
int A[n];
double P[n];
double q[n];


for(int i=0; i<n; i++){
    scanf("%d %lf", &A[i], &P[i]);
    P[i]=P[i]*0.01;
    q[i]=A[i]*P[i];
}

for(int j=0; j<n-1; j++){
    for(int i=0; i<n-1-j; i++){
            if(P[i]<P[i+1]){
                    zameni(&P[i], &P[i+1]);
                    zameni(&q[i], &q[i+1]);
                    }
    }
}

double qsac[n];
for(int i=0; i<n; i++){
qsac[i]=q[i];
}

for(int i=1; i<n; i++){
    for(int j=0; j<i; j++){
    q[i]+=(P[i]/P[0+j])*qsac[0+j];
    }
}

for(int j=0; j<n-1; j++){
    for(int i=0; i<n-1-j; i++){
            if(q[i]>q[i+1]){
                    zameni(&q[i], &q[i+1]);
                    }
    }
}

printf("%.4lf", q[n-1]);
    return 0;
}